Using Salesforce CTI with Chrome 30.x

Google Chrome 30.x introduces a Script Blocker

This stops the Salesforce CTI adapter from working.

As the Chrome script blocker cannot be configured to always allow content from a particular site, Salesforce advise it is currently necessary to disable the blocker.

Adding this command line parameter does not remove all security from the web browser. It just allows insecure content (e.g. links to non-https protocols) to co-exist on the same web pages as secure content (https pages). The click-to-dial method uses the Protocol Handler "Flexor" to pass the phone number to Flexor which is considered to be insecure content.


  1. Right click on your "Chrome" icon.
  2. Choose properties
  3. At the end of your target line add the command line flag. --allow-running-insecure-content
  4. For example: "C:\Program Files (x86)\Google\Chrome\Application\chrome.exe" --allow-running-insecure-content
If you are using Salesforce Enterprise edition or above and Flexor version 2.1.121 or above and use the Flexor Apex for Salesforce this command line parameter is not required.

Copyright © Camrivox 2008.Website Terms of Use Policy - Privacy Policy - Terms & Conditions of Sale